#!/usr/bin/env python3

import importlib


def main():
    print("Добро пожаловать в просмотрщик заданий по практике!")
    print("(c) Козарин Л. А., лето 2016")

    while True:
        print()
        print("Введите либо номер упражнения из списка ниже, либо ноль для выхода.")
        print("1) Возвращаем вторую цифру введённого числа.")
        print("2) Тест с вариантами ответов по численным методам решения нелинейных уравнений.")
        print("3) Тест со свободными ответами по дискретной математике.")
        print("4) Решение нелинейного уравнения с помощью метода Ньютона.")
        print("5) Численное интегрирование функции.")
        print("0) Выход из программы.")

        try:
            selected_exercise = int(input("> "))
        except ValueError:
            print("Допустимо вводить только числа!")
            continue

        if selected_exercise == 0:
            print("Надеюсь, Вам понравилось! Заходите ещё! Мяу! Ня!")
            break

        if selected_exercise < 0 or selected_exercise > 5:
            print("Вы должны ввести номер упражнения от 1 до 5 либо 0 для выхода!")
            continue

        print()
        im = importlib.import_module("exercise%02i" % selected_exercise)
        im.run()


if __name__ == '__main__':
    main()
