# encoding: utf-8

def exercise03
    require_relative("Quiz")

    myQuiz = Quiz.new("Дискретная математика", "Криптография (часть 1)")

    questions = {
        "Для множеств A={1,2,3} и B={a} укажите мощность их декартова произведения." =>
            '3',
        "Пусть x,y - булевы переменные. Что тогда означает запись х  у = у  х?" =>
            'Коммутативность дизъюнкции',
        "Пусть множество содержит 8 различных элементов. Чему равно количество различных подмножеств данного множества?" =>
            '256',
        "Пусть А и В — произвольные множества, тогда суммой или _______ множеств А и В называют множество С, состоящее из всех элементов, принадлежащих хотя бы одному из множеств А и В." =>
            'объединением',
        "Для множеств справедливо правило: дополнение пересечения множеств равно сумме (_______) их дополнений." =>
            'объединению',
        "Кто является основоположником математической теории множеств?" =>
            'Августус де Морган',
        "Множество, не содержащее ни одного элемента, называется ________." =>
            'пустым',
        "Для наглядного изображения соотношений между множествами используют так называемые ______ и ______? (ответ написать с союзом \"и\"" =>
            'круги Эйлера и диаграммы Венна',
        "Непересекающиеся подмножества, на которые разбивается множество М отношением эквивалентности, называется классами эквивалентности или _______-множеством." =>
            'фактор',
        "Отношение, которому не удовлетворяет ни одна пара элементов из Х, называется ________." =>
            'тривиальным'
    }

    questions.each do |q, a|
        myQuiz.askTextQuestion(q, a)
    end

    myQuiz.finish
end
